%define name mandriva-theme
%define theme Mandriva
%define version 1.4.10
%define scriptdir %{_datadir}/bootsplash/scripts
%define mdk_bg %{_datadir}/mdk/backgrounds

%define release 2

%define theme_header() \
Summary:	Mandriva%{?1:-%1} theme for plymouth and desktop background \
Group:		Graphics \
%description %{?1} \
This package contains the Mandriva%{?1:-%1} plymouth theme \
with its images and configuration for different resolution as well as \
the the desktop background image. \

%define theme_package(o:) \
%package %{1} \
Requires:	plymouth-system-theme \
Requires:	plymouth-plugin-script >= 0.8.2 \
Requires(post):	bootsplash >= 3.3.0 \
Provides:	mandrake_theme mandrake-theme mandrakelinux-theme mandriva-theme = %{version}-%{release} \
Provides:	plymouth(system-theme) \
Obsoletes:	mandrake_theme mandrake-theme mandrakelinux-theme %{?-o:%{-o*}} \
Requires:	mandriva-theme-common \
Suggests:	mandriva-theme-screensaver \
%theme_header(%{1}) \
\
%package %{1}-screensaver \
Summary:	Mandriva %{1} screensaver \
Group:		Graphics \
Provides:	mandriva-theme-screensaver \
%{?-o:Obsoletes: %{-o*}-screensaver} \
\
%description %{1}-screensaver \
This package contains the screensaver associated with the \
Mandriva %{1} theme. \

%define theme_scripts() \
%post -n %{name}-%{1} \
if [ -f /splash.jpg ]; then \
rm -f /splash.jpg \
fi \
if [ -f /welcome.jpg ]; then \
rm -f /welcome.jpg \
fi \
if [ -z "$DURING_INSTALL" ]; then \
  if [ -x %{_sbindir}/plymouth-set-default-theme ]; then \
    %{_sbindir}/plymouth-set-default-theme Mandriva-%{1} -R \
  fi \
else \
  if [ -f /etc/sysconfig/bootsplash ]; then \
    perl -pi -e 's/^\s*SPLASH=.*/SPLASH=auto/; s/^\s*THEME=.*/THEME=Mandriva-%{1}/' /etc/sysconfig/bootsplash \
  fi \
  %{_sbindir}/plymouth-set-default-theme Mandriva-%{1} \
fi \
if [ -f %{mdk_bg}/Mandriva-root.png -a ! -f %{mdk_bg}/root/default.png -o -L %{mdk_bg}/root/default.png ]; then \
  rm -f %{mdk_bg}/root/default.png \
  ln -s Mandriva-%{1}-root-1600x1200.png %{mdk_bg}/root/default.png \
fi \
\
%triggerpostun -n %{name}-%{1} -- mandriva-theme-%{1} < 1.2.4 \
for f in kdeglobals konsolerc; do \
  if [ "`readlink /usr/share/config/$f 2>/dev/null`" == "$f-Mandriva-%{1}" ]; then \
    rm -f /usr/share/config/$f \
  fi \
done \
\
%preun -n %{name}-%{1} \
if [ "$1" == "0" ]; then \
  if [ -x %{scriptdir}/remove-theme ]; then \
    %{scriptdir}/remove-theme Mandriva-%{1} \
  fi \
  link=`readlink %{mdk_bg}/default.png` \
  slink=${link%%-*} \
  if [ "$slink" == "Mandriva-%{1}" ]; then rm -f %{mdk_bg}/default.png;fi \
  link=`readlink %{mdk_bg}/default.jpg` \
  slink=${link%%-*} \
  if [ "$slink" == "Mandriva-%{1}" ]; then rm -f %{mdk_bg}/default.jpg;fi \
  link=`readlink %{mdk_bg}/Mandriva.png` \
  slink=${link%%-*} \
  if [ "$slink" == "Mandriva-%{1}" ]; then rm -f %{mdk_bg}/Mandriva.png;fi \
  link=`readlink %{mdk_bg}/Mandriva.jpg` \
  slink=${link%%-*} \
  if [ "$slink" == "Mandriva-%{1}" ]; then rm -f %{mdk_bg}/Mandriva.jpg;fi \
  link=`readlink %{mdk_bg}/root/Mandriva.png` \
  slink=${link%%-*} \
  if [ "$slink" == "Mandriva-%{1}-root" ]; then rm -f %{mdk_bg}/root/default.png;fi \
fi \

%define theme_files() \
%files %{1} \
%{_datadir}/gfxboot/themes/Mandriva-%{1} \
%{_datadir}/plymouth/themes/Mandriva-%{1} \
%{mdk_bg}/Mandriva-%{1}* \
\
%{mdk_bg}/rosa-background.jpg \
%files %{1}-screensaver \
%dir %{_datadir}/mdk/screensaver \
%{_datadir}/mdk/screensaver/*-*.jpg \

Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.xz
License:	GPL
Prefix:		%{_prefix}
BuildArch:	noarch
BuildRequires:	gimp fonts-ttf-dejavu
%theme_header

%theme_package Rosa      -o mandriva-theme

%package common
Summary:	Mandriva common theme for plymouth
Group:		Graphics
Obsoletes:	plymouth-theme-mdv

%description common
This package contains common images for the Mandriva plymouth themes.

%package extra
Summary:	Additional backgrounds from Mandriva Linux users
Group:		Graphics

%description extra
This package contains winning picture from Mandriva 2010 photo 
background contest.

%prep
%setup -q

%build
%make

%install
%make install prefix=%{buildroot}

# Default wallpaper should be available without browsing file system
mkdir -p %{buildroot}%{_datadir}/wallpapers
pushd %{buildroot}%{_datadir}/wallpapers
  ln -s ../mdk/backgrounds/default.jpg default.jpg
popd

%theme_scripts Rosa

%files common
%{_datadir}/wallpapers/default.jpg

%files extra
%{_datadir}/mdk/backgrounds/Antes_del_vuelo.jpg
%{_datadir}/mdk/backgrounds/fields.jpg
%{_datadir}/mdk/backgrounds/hibiscus.jpg
%{_datadir}/mdk/backgrounds/Rustic_Chair.jpg
%{_datadir}/mdk/backgrounds/Autumn.jpg
%{_datadir}/mdk/backgrounds/Flower.jpg
%{_datadir}/mdk/backgrounds/Ice.jpg
%{_datadir}/mdk/backgrounds/Smiley01.jpg
%{_datadir}/mdk/backgrounds/chevalier.jpg
%{_datadir}/mdk/backgrounds/gouttes2500.jpg
%{_datadir}/mdk/backgrounds/night_swim.jpg
%{_datadir}/mdk/backgrounds/Beach.jpg
%{_datadir}/mdk/backgrounds/Cat.jpg
%{_datadir}/mdk/backgrounds/Event.jpg
%{_datadir}/mdk/backgrounds/Flowers.jpg
%{_datadir}/mdk/backgrounds/Sunset.jpg
%{_datadir}/mdk/backgrounds/Canal.jpg

%{_datadir}/mdk/backgrounds/Mandriva-extra.xml

%theme_files Rosa


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.4.10-2
+ Revision: b7aa090
- MassBuild#440: Increase release tag


